"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.Order = exports.Field = exports.PostFieldField = exports.ReportType = exports.IdentityType = exports.EntityType = exports.Interaction = exports.PostType = exports.onPostUpdated = exports.onPostUnreacted = exports.onPostUnpinned = exports.onPostUnliked = exports.onPostReported = exports.onPostReacted = exports.onPostPinned = exports.onPostOpened = exports.onPostMoved = exports.onPostLiked = exports.onPostDeleted = exports.onPostCreated = exports.onPostClosed = exports.queryPosts = exports.getPostBySlug = exports.getPost = void 0;
const forum_v1_post_posts_public_js_1 = require("./forum-v1-post-posts.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const forum_v1_post_posts_public_js_2 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_3 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_4 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_5 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_6 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_7 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_8 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_9 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_10 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_11 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_12 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_13 = require("./forum-v1-post-posts.public.js");
const forum_v1_post_posts_public_js_14 = require("./forum-v1-post-posts.public.js");
exports.getPost = (0, rest_modules_1.createRESTModule)(forum_v1_post_posts_public_js_1.getPost);
exports.getPostBySlug = (0, rest_modules_1.createRESTModule)(forum_v1_post_posts_public_js_1.getPostBySlug);
exports.queryPosts = (0, rest_modules_1.createRESTModule)(forum_v1_post_posts_public_js_1.queryPosts);
/**
 * An existing post was closed for further comments.
 * @deprecated
 */
exports.onPostClosed = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_2.onPostClosed);
/**
 * A new post was created.
 * @deprecated
 */
exports.onPostCreated = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_3.onPostCreated);
/**
 * An existing post was removed.
 * @deprecated
 */
exports.onPostDeleted = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_4.onPostDeleted);
/**
 * An existing post was liked.
 * @deprecated
 */
exports.onPostLiked = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_5.onPostLiked);
/**
 * An existing post was moved to a different category.
 * @deprecated
 */
exports.onPostMoved = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_6.onPostMoved);
/**
 * An existing post was opened for further comments.
 * @deprecated
 */
exports.onPostOpened = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_7.onPostOpened);
/**
 * An existing post was pinned to the top of the post list.
 * @deprecated
 */
exports.onPostPinned = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_8.onPostPinned);
/**
 * An existing post was reacted.
 * @deprecated
 */
exports.onPostReacted = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_9.onPostReacted);
/**
 * An existing post was reported as inappropriate.
 * @deprecated
 */
exports.onPostReported = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_10.onPostReported);
/**
 * An existing post was unliked.
 * @deprecated
 */
exports.onPostUnliked = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_11.onPostUnliked);
/**
 * An existing post was unpinned from the top of the post list.
 * @deprecated
 */
exports.onPostUnpinned = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_12.onPostUnpinned);
/**
 * An existing post was unreacted.
 * @deprecated
 */
exports.onPostUnreacted = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_13.onPostUnreacted);
/**
 * An existing post was updated.
 * @deprecated
 */
exports.onPostUpdated = (0, event_definition_modules_1.createEventModule)(forum_v1_post_posts_public_js_14.onPostUpdated);
var forum_v1_post_posts_universal_js_1 = require("./forum-v1-post-posts.universal.js");
Object.defineProperty(exports, "PostType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.PostType; } });
Object.defineProperty(exports, "Interaction", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.Interaction; } });
Object.defineProperty(exports, "EntityType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.EntityType; } });
Object.defineProperty(exports, "IdentityType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.IdentityType; } });
Object.defineProperty(exports, "ReportType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.ReportType; } });
Object.defineProperty(exports, "PostFieldField", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.PostFieldField; } });
Object.defineProperty(exports, "Field", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.Field; } });
Object.defineProperty(exports, "Order", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.Order; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=forum-v1-post-posts.context.js.map