import * as ambassadorWixForumV1PostTypes from './forum-v1-post-posts.types.js';
import * as ambassadorWixForumV1PostUniversalTypes from './forum-v1-post-posts.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function getPost(): __PublicMethodMetaInfo<'GET', {
    postId: string;
}, ambassadorWixForumV1PostUniversalTypes.PostRequest, ambassadorWixForumV1PostTypes.PostRequest, ambassadorWixForumV1PostUniversalTypes.PostResponse, ambassadorWixForumV1PostTypes.PostResponse>;
export declare function getPostBySlug(): __PublicMethodMetaInfo<'GET', {
    slug: string;
}, ambassadorWixForumV1PostUniversalTypes.PostSlugRequest, ambassadorWixForumV1PostTypes.PostSlugRequest, ambassadorWixForumV1PostUniversalTypes.PostResponse, ambassadorWixForumV1PostTypes.PostResponse>;
export declare function queryPosts(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixForumV1PostUniversalTypes.QueryPostsRequest, ambassadorWixForumV1PostTypes.QueryPostsRequest, ambassadorWixForumV1PostUniversalTypes.QueryPostsResponse, ambassadorWixForumV1PostTypes.QueryPostsResponse>;
