import * as ambassadorWixForumV1Post from './forum-v1-post-posts.http.js';
export function getPost() {
    const payload = { postId: ':postId' };
    const getRequestOptions = ambassadorWixForumV1Post.getPost(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/posts/{postId}',
        pathParams: { postId: 'postId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getPostBySlug() {
    const payload = { slug: ':slug' };
    const getRequestOptions = ambassadorWixForumV1Post.getPostBySlug(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/posts/slugs/{slug}',
        pathParams: { slug: 'slug' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryPosts() {
    const payload = {};
    const getRequestOptions = ambassadorWixForumV1Post.queryPosts(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/posts/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=forum-v1-post-posts.meta.js.map